Topic
4 replies Latest Post - ‏2012-06-14T06:19:22Z by SystemAdmin
Ratnalein
Ratnalein
1 Post
ACCEPTED ANSWER

Pinned topic Compatibility from IBM DB2 Express-C and Ubuntu 12.04

‏2012-05-19T11:06:05Z |
Hallo everyone,

I want to try the IBM DB2 Express-C 10.1 on my Ubuntu 12.04 machine. There are many instructions or guide lines regarding installation IBM DB2 Express-C 10.1 on Ubuntu 10.04(not 12.04). So, I am not sure, if I should downgrade my Ubuntu 12.04 to 10.04. I am not sure about the compatibilty between Express-C 10.1 and Ubuntu 12.04

Thanks for your advice.

Yours,
Ratna
Updated on 2012-06-14T06:19:22Z at 2012-06-14T06:19:22Z by SystemAdmin
  • SystemAdmin
    SystemAdmin
    1731 Posts
    ACCEPTED ANSWER

    Re: Compatibility from IBM DB2 Express-C and Ubuntu 12.04

    ‏2012-06-12T14:27:31Z  in response to Ratnalein
    the fact that the guide refers to version 10.04 does not mean it won't work on 12.04
    it just means that ibm did not test it on 12.04
    i would try to run it and see what happens
    • SystemAdmin
      SystemAdmin
      1731 Posts
      ACCEPTED ANSWER

      Re: Compatibility from IBM DB2 Express-C and Ubuntu 12.04

      ‏2012-06-13T22:32:09Z  in response to SystemAdmin
      I tried GUI setup (db2setup) in 12.04 64 bit desktop but when you click over "install" the program just closes without any further information.

      Tried two times.

      Installing with console script works (db2_install) worked but when I tried to create the instance I got this error:

      *** glibc detected *** /opt/ibm/db2/V10.1/instance/native/install/db2iure: munmap_chunk(): invalid pointer: 0x0000000000d84040 ***
      ======= Backtrace: =========
      /lib/x86_64-linux-gnu/libc.so.6(+0x7e626)0x7fcd00100626
      ...

      ======= Memory map: ========
      00400000-00406000 r-xp 00000000 08:01 4861535 /opt/ibm/db2/V10.1/instance/native/install/db2iure
      ...

      Aborted (core dumped)
      DBI1264E Errors were encountered in running db2icrt. Please
      refer to the installation log file /tmp/db2icrt.log.26047 for more
      information.

      In a 10.04 64 bit server worked without problem.

      If somebody knows how to correct this, please tell us.

      Regards.
      • SystemAdmin
        SystemAdmin
        1731 Posts
        ACCEPTED ANSWER

        Re: Compatibility from IBM DB2 Express-C and Ubuntu 12.04

        ‏2012-06-13T23:56:31Z  in response to SystemAdmin
        Resolved:

        You must install rpm (apt-get install rpm):

        http://www.ibm.com/developerworks/forums/thread.jspa?messageID=14829992

        Installation via db2setup doesnt works even if ia32-libs are installed, I have to install it with db2_install.

        Regards.
        • SystemAdmin
          SystemAdmin
          1731 Posts
          ACCEPTED ANSWER

          Re: Compatibility from IBM DB2 Express-C and Ubuntu 12.04

          ‏2012-06-14T06:19:22Z  in response to SystemAdmin
          You can install via db2setup also, for that you have to select custom install and uncheck TSAMP component from the list(because TSAMP is not supported on Ubuntu). Let me know if this does not work.
          Thanks